<?php

namespace App\Helpers;

use App\Models\MyLogModel;

class MyLogHelper extends CommonHelper
{
    public function __construct()
    {
        parent::__construct();
        $this->setTitleField(MyLogModel::TITLE);
    }
    public function getListButton(string $action, string $label, array $viewDatas, array $extras = []): string
    {
        switch ($action) {
            case 'modify':
                $action = $label;
                break;
            case 'create':
            case 'delete':
            case 'batchjob':
            case 'batchjob_delete':
                $action = "";
                break;
            default:
                $action = parent::getListButton($action, $label, $viewDatas, $extras);
                break;
        }
        return $action;
    }
}
